Bug 270465 - On FreeBSD "Unexpected os FREEBSD" exception appears
On FreeBSD "Unexpected os FREEBSD" exception appears
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
8.2
PC Other
: P2 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch2-fixed
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-23 10:47 UTC by soldatov
Modified: 2017-04-25 14:33 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2017-04-23 10:47:16 UTC
I added FreeBSD as a remote host and I created empty C++ project in SFTP mode

INFO [org.netbeans.modules.cnd.utils.cache.CndFileUtils]: C/C++ File Utils: using case-insensitive file system
WARNING [nativeexecution.support.logger]: [36133 ms.] UnixHostInfoProvider: sed: 1: "s/\/_/": unterminated substitute in regular expression
WARNING [cnd.remote.logger]: RFS not applicable for sova@localhost:2224
SEVERE [org.openide.util.Exceptions]
java.lang.IllegalStateException: Unexpected os FREEBSD
	at org.netbeans.modules.cnd.api.toolchain.PlatformTypes.getPlatformFromHostInfo(PlatformTypes.java:96)
	at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerImpl.getPlatform(CompilerSetManagerImpl.java:277)
	at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerImpl.completeCompilerSets(CompilerSetManagerImpl.java:920)
	at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerImpl.completeCompilerSets(CompilerSetManagerImpl.java:910)
	at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerImpl.<init>(CompilerSetManagerImpl.java:186)
	at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerImpl.deepCopy(CompilerSetManagerImpl.java:297)
	at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerAccessorImpl.getDeepCopy(CompilerSetManagerAccessorImpl.java:114)
	at org.netbeans.modules.cnd.toolchain.support.ToolchainUtilities.getDeepCopy(ToolchainUtilities.java:147)
	at org.netbeans.modules.cnd.toolchain.ToolsCacheManagerImpl.getCompilerSetManagerCopy(ToolsCacheManagerImpl.java:123)
	at org.netbeans.modules.cnd.spi.remote.setup.HostValidatorImpl.validateImpl(HostValidatorImpl.java:172)
	at org.netbeans.modules.cnd.spi.remote.setup.HostValidatorImpl.validate(HostValidatorImpl.java:109)
	at org.netbeans.modules.cnd.remote.ui.wizard.CreateHostVisualPanel2$5.call(CreateHostVisualPanel2.java:356)
	at org.netbeans.modules.cnd.remote.ui.wizard.CreateHostVisualPanel2$5.call(CreateHostVisualPanel2.java:327)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1443)
	at org.netbeans.modules.openide.util.GlobalLookup.execute(GlobalLookup.java:68)
	at org.openide.util.lookup.Lookups.executeWith(Lookups.java:303)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2058)
WARNING [remote.support.logger]: fs_server at sova@localhost:2224 failed: null
Comment 1 Vladimir Kvashin 2017-04-24 08:32:09 UTC
Could you please specify, which CND bits you use?

I built the fresh releases/release82. 
I do not see this "sed: 1: "s/\/_/": unterminated substitute..." error. 
But I see the same "IllegalStateException: Unexpected os FREEBSD". 

CND built on change set eb514f3ff817 (which is close to 8.2 patch 1 I believe) works OK.
Comment 2 soldatov 2017-04-24 08:51:25 UTC
I use internal netbeans-8.2-201704210828-cpp.zip build
Comment 3 Vladimir Kvashin 2017-04-24 09:29:10 UTC
fixed in
http://hg.netbeans.org/cnd-main/rev/7e3b8ff0e2b6
Comment 4 Vladimir Kvashin 2017-04-24 09:52:39 UTC
(In reply to soldatov from comment #2)
> I use internal netbeans-8.2-201704210828-cpp.zip build
Thank you! I checked this binary, it contains "sed: 1: "s/\/_/": unterminated substitute..." error that has been recently fixed.

However this exception is quite a different problem.
It was 100% reproducible prior than I fixed it in 
http://hg.netbeans.org/cnd-main/rev/7e3b8ff0e2b6
Now it does not reproduce.
Comment 5 Quality Engineering 2017-04-25 02:52:25 UTC
Integrated into 'main-silver', will be available in build *201704250002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/7e3b8ff0e2b6
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #270465 - On FreeBSD "Unexpected os FREEBSD" exception appears
(transplanted from 2a0ed323e56e55b98ccac69599219f9f9a8afd45)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo